Subject: Re: [netmod] A whacked out idea in conjunction with the Interim?

From: Ladislav Lhotka <[email-masked]>
Date: Thu, 31 Jul 2008 21:42:50 +0100

Andy Bierman píše v Čt 31. 07. 2008 v 09:41 -0700:
> OK -- then can I hijack the thread for a related topic?
> 
> The 'use case 2' slide at the meeting seemed to show a
> NETCONF agent using DSDL validation tools.  In previous
> discussions, DSDL was positioned as an offline validation tool
> for managers.

This idea about managers is new to me.

> 
> I cannot imagine a usage scenario where the application
> can get by with a yes/no answer on NETCONF PDU validation.
> Even when divided into stages, a yes/no answer is not
> good enough.  Agents need to generate <rpc-error> elements.
> Validation tools need to generate detailed error and warning messages.
> Manager tools need to help the operator figure out why
> the PDU did not work.

If you have a good library for a language that supports exceptions, like
Python, you can do all this - and I actually plan to implement it in
this way for our devices. It will probably not be the only or ultimate
validation step but just being sure that the structure and datatypes are
valid makes things much easier.

> 
> IMO, we are getting way too deep into implementation details
> in NETMOD.  Yes there are XSLT tools and maybe even a few

I currently don't see any implementation details around the YANG->DSDL
mapping. We just provide a method for making information contained in a
YANG module accessible to more generic and standardized tools. I
actually don't know all the applications that may find it useful - I
hope there will be any, and they may well be outside the traditional
SNMP/MIB/SMI workflow.

Lada

-- 
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod